// (C) 2005 Max Howell (max.howell@methylblue.com)
// See COPYING file for licensing information

#include "mxcl.library.h"
#include <tqapplication.h>
#include <kcursor.h>

namespace mxcl
{
   WaitCursor::WaitCursor()
   {
      TQApplication::setOverrideCursor( KCursor::waitCursor() );
   }

   WaitCursor::~WaitCursor()
   {
      TQApplication::restoreOverrideCursor();
   }
}
